| Qore Programming Language Reference Manual 2.2.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Qore::AbstractPollableIoObject Class Reference

This interfaces declares that the inheriting class supports a pollable file descriptor. More...

`#include <QC_AbstractPollableIoObject.dox.h>`

Inheritance diagram for Qore::AbstractPollableIoObject:
[legend]

## Public Member Functions
abstract int | getPollableDescriptor ()
| Returns a pollable file / socket / I/O descriptor.

## Detailed Description

This interfaces declares that the inheriting class supports a pollable file descriptor.

Since
  Qore 1.12

## Member Function Documentation

## ◆ getPollableDescriptor()

abstract int Qore::AbstractPollableIoObject::getPollableDescriptor | ( |  | ) |

Returns a pollable file / socket / I/O descriptor.

Returns
  a pollable file / socket / I/O descriptor